%define upstream_name    Class-Throwable
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A minimal lightweight exception class
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.100.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%global __provides_exclude ^perl\\((DB|TestException)\\)

%description
This module implements a minimal lightweight exception object. It is meant to
be a compromise between more basic solutions like Carp which can only print
information and cannot handle exception objects, and more more complex
solutions like Exception::Class which can be used to define complex inline
exceptions and has a number of module dependencies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Class/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.130.0-7.mga10
+ Revision: 2198004
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.130.0-6.mga9
+ Revision: 1802518
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-5.mga8
+ Revision: 1493560
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.130.0-4.mga7
+ Revision: 1266523
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.130.0-3.mga6
+ Revision: 1024252
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.130.0-2.mga6
+ Revision: 966645
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 846219
- update to 0.13

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-6.mga5
+ Revision: 743119
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.110.0-5.mga5
+ Revision: 732938
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 683945
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 510164
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 364523
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 26208
- no meta.yml
- mageia rebuild
- imported package perl-Class-Throwable


* Mon Jul 27 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.0
+ Revision: 400634
- update to 0.11
- using %%perl_convert_version
- fixed source field

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.10-4mdv2009.0
+ Revision: 256031
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.10-2mdv2008.1
+ Revision: 136685
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-2mdv2008.0
+ Revision: 86160
- rebuild


* Fri Mar 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.10-1mdk
- First Mandriva release

